var err= 0;
var err1=0;
var err2=0;
var err3=0;
var err4=0;
var err5=0;
var err6=0;

$(function(){
	
numRand=0;
var n;
var num=0;
var foc=0;
alert(err);
var numLow = 10000;
var numHigh = 99999;
var adjustedHigh = (parseFloat(numHigh) - parseFloat(numLow)) + 1;
var numRand = Math.floor(Math.random()*adjustedHigh) + parseFloat(numLow);
//alert(numRand); 
$("#captcha_img").attr("src",website_url+"/"+"captcha.php?num="+numRand);   



function toEnNumber(inputNumber2) {
    if (inputNumber2 == undefined) return '';
    var str = $.trim(inputNumber2.toString());
    if (str == "") return "";
    str = str.replace('٠', '0');
    str = str.replace('١', '1');
    str = str.replace('٢', '2');
    str = str.replace('٣', '3');
    str = str.replace('٤', '4');
    str = str.replace('٥', '5');
    str = str.replace('٦', '6');
    str = str.replace('٧', '7');
    str = str.replace('٨', '8');
    str = str.replace('٩', '9');
    return str;
	
}


 
$("#app_form,#app_form input[type=text] ,#app_form textarea").bind("focus submit",function(event){


$(".nice-select").remove();
if(event.type=="submit"){foc=1}




if(foc==1){





if($("#captcha_val").length==1){	
if($("#captcha_val").val()!=numRand){
$("#captcha_field_val").html("");
$("#captcha_field_val").css("background-color","#FFCECE");
$("#captcha_val").css("background-color","#FFCECE");
err1=1;
}else{
$("#captcha_field_val").html("");	
$("#captcha_field_val").css("background-color","#fff");
$("#captcha_val").css("background-color","#fff");	
err1=0;
}
}


n= $(".required").length;
//alert(n);
if(parseInt(n)>0){
for (i=0;i<=n;i++){
xx=parseInt(i);

//alert($(".required").eq(xx).val());
if($(".required").eq(xx).val()=="" || $(".required").eq(xx).val()=="0" ){


$(".required").eq(xx).css("background-color","#FFCECE");
$(".required").eq(xx).next(".select2").css("background-color","#FFCECE");

$(".required").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

err2=1;
}else{
if($(".required").eq(xx).next().html()!=''){
$(".required").eq(xx).next(".field_val").html("");	
$(".required").eq(xx).css("background-color","#fff");
$(".required").eq(xx).next(".select2").css("background-color","#fff");
err2=0;
}
}

}
}

if($(".confirm1").val()!=$(".confirm2").val()){
$(".confirm2").next().html("كلمة المرور غير متطابقة");
$(".confirm2").css("background-color","#FFCECE");
err3=1;	
}else{
$(".confirm2").next(".field_val").html("ادخل البيانات بشكل صحيح");
$(".confirm2").css("background-color","#fff");	
err3=0;	

}





n= $(".numeric").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){
xx=parseInt(i);
//alert(toEnNumber($(".numeric").eq(xx).val()));
num_en=toEnNumber($(".numeric").eq(xx).val());
//alert(num_en);
$(".numeric").eq(xx).val(num_en);

xxx=$.isNumeric($(".numeric").eq(xx).val());

if((xxx==0 && $(".numeric").eq(xx).hasClass('required'))||(xxx==0 && $(".numeric").eq(xx).val()!='') ){
$(".numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".numeric").eq(xx).css("background-color","#FFCECE");	
//alert("numeric");
err4=1;
}else{
if($(".numeric").eq(xx).next().html()!=''){
$(".numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");
$(".numeric").eq(xx).css("background-color","#fff");
err4=0;	
}
}
}
}
	


//alert("z");
n= $(".email").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/ ; 

nn=re.test( $(".email").eq(i).val() );
	
//alert($(".email").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".email").eq(i).hasClass('required') || $(".email").eq(i).val()!=''){
$(".email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".email").eq(i).css("background-color","#FFCECE");	

err5=1;
}


}else{
if($(".email").eq(i).next().html()!=''){
$(".email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
$(".email").eq(i).css("background-color","#fff");
err5=0;
}
}
}
}




n= $(".website").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

re = /[-a-zA-Z0-9@:%_\+.~#?&//=]{2,256}\.[a-z]{2,4}\b(\/[-a-zA-Z0-9@:%_\+.~#?&//=]*)?/;


nn=re.test( $(".website").eq(i).val() );
	
//alert($(".website").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".website").eq(i).hasClass('required') || $(".website").eq(i).val()!=''){
$(".website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".website").eq(i).css("background-color","#FFCECE");	

err6=1;
}


}else{
if($(".website").eq(i).next().html()!=''){
$(".website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
$(".website").eq(i).css("background-color","#fff");

err6=0;
}
}
}
}



err=err1+err2+err3+err4+err5+err6;
//alert(err);
if(err!=0){
event.preventDefault();	
}else{
	event.preventDefault();
	$(".second_btn").click();
	
	$("#user_details_container").hide();
	$("#gray_container").css('display','table');
}


}


});
});
